Don't remove AGS when installing quickshell

Might need as backup when QS has issues.
The Hyprland DOTS now use a wrapper script to determine
which to use for overview

 On branch development
 Your branch is up to date with 'origin/development'.

 Changes to be committed:
	modified:   quickshell.sh
This commit is contained in:
Don Williams
2025-11-02 23:04:57 -05:00
parent d26c9e30bd
commit aa140acf69

View File

@@ -11,11 +11,14 @@ quick=(
) )
## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ## ## WARNING: DO NOT EDIT BEYOND THIS LINE IF YOU DON'T KNOW WHAT YOU ARE DOING! ##
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# Change the working directory to the parent directory of the script # Change the working directory to the parent directory of the script
PARENT_DIR="$SCRIPT_DIR/.." PARENT_DIR="$SCRIPT_DIR/.."
cd "$PARENT_DIR" || { echo "${ERROR} Failed to change directory to $PARENT_DIR"; exit 1; } cd "$PARENT_DIR" || {
echo "${ERROR} Failed to change directory to $PARENT_DIR"
exit 1
}
# Source the global functions script # Source the global functions script
if ! source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"; then if ! source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"; then
@@ -23,8 +26,6 @@ if ! source "$(dirname "$(readlink -f "$0")")/Global_functions.sh"; then
exit 1 exit 1
fi fi
# Set the name of the log file to include the current date and time # Set the name of the log file to include the current date and time
LOG="Install-Logs/install-$(date +%d-%H%M%S)_quick.log" LOG="Install-Logs/install-$(date +%d-%H%M%S)_quick.log"
@@ -35,16 +36,5 @@ for PKG1 in "${quick[@]}"; do
install_package "$PKG1" "$LOG" install_package "$PKG1" "$LOG"
done done
# removal of ags
# Check if the file exists and remove it
printf "\n%s - removing ${SKY_BLUE}AGS${RESET} \n" "${NOTE}"
if [ -f "/usr/local/bin/ags" ]; then
sudo rm -r /usr/local/bin/ags
fi
if [ -d "/usr/local/share/com.github.Aylur.ags" ]; then
sudo rm -rf /usr/local/share/com.github.Aylur.ags
fi
printf "\n%.0s" {1..1} printf "\n%.0s" {1..1}